LEED Brakes - Product Search
Browse Products
Mopar, Dodge, Plymouth, A Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar A-Body vehicle with this LEED Brakes front disc brake conversion kit designed to improve safety, reliability, and braking performance. This drum-to-disc conversion kit includes...More Details »
Item #: FC2001SMX
Condition:
New
Price: $1,294.99
Ford Galaxie, Fairlane, Custom 500
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of front disc brakes to your 1957–1968 Ford or Mercury with this complete drum to disc conversion kit from LEED Brakes. This Ford and Mercury disc...More Details »
Item #: FC0025-405P
Condition:
New
Price: $1,499.99
Mopar, Dodge, Plymouth, B Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar B-Body from factory power drum brakes to front disc brakes with this LEED Brakes MaxGrip XDS Front Disc Brake Conversion Kit. Featuring cross-drilled and slotted rotors, red...More Details »
Item #: RFC2002-C05PX
Condition:
New
Price: $1,629.99
Ford Mustang
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description:
Add the safety, reliability, and performance of disc brakes to your vehicle with our drum-to-disc brake conversion kit. In this drum-to-disc brake conversion kit, you receive everything you...More Details »
Item #: FC0001SM
Condition:
New
Price: $999.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from drum to front disc brakes with this 4-piston spindle mount conversion kit from LEED Brakes. Designed to mount to original drum brake spindles, this direct bolt...More Details »
Item #: FC2002SM
Condition:
New
Price: $1,124.99
Mopar, Dodge, Plymouth, B & E Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Convert your Mopar B and E Body from drum to front disc brakes with this 4-piston spindle mount conversion kit from LEED Brakes featuring MaxGrip XDS cross drilled and slotted rotors. Designed to...More Details »
Item #: FC2002SMX
Condition:
New
Price: $1,264.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body with the safety, reliability, and performance of a LEED Brakes front disc brake conversion kit. This drum-to-disc conversion kit includes everything needed to mount...More Details »
Item #: FC2003SM
Condition:
New
Price: $1,149.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit. Designed to mount factory-style 4-piston disc brakes to your vehicle's...More Details »
Item #: FC2003-P405
Condition:
New
Price: $1,534.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford from front drum brakes to disc brakes with this LEED Brakes spindle-mount conversion kit featuring USA-made MaxGrip Lite 4-piston brakes and MaxGrip XDS cross-drilled and...More Details »
Item #: FC0005SMX
Condition:
New
Price: $1,624.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1966 Ford Mustang from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston brakes and MaxGrip XDS...More Details »
Item #: FC0005-405X
Condition:
New
Price: $1,724.99
Ford Mustang
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970–1973 Ford Mustang or Mercury Cougar from front drum brakes to disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston calipers and MaxGrip XDS...More Details »
Item #: FC0006SMX
Condition:
New
Price: $1,624.99
Ford Falcon, Ford Fairlane, Ford Ranchero, Mercury Comet, Mercury Cyclone
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury from front drum brakes to disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston brakes. Designed to mount directly to your...More Details »
Item #: FC0005-4C7X
Condition:
New
Price: $1,724.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: BFC2003-P405X
Condition:
New
Price: $1,770.99
Mopar, Dodge, Plymouth, C Body Disc Brakes
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your Mopar C-Body from factory power drum brakes to front disc brakes with this LEED Brakes conversion kit featuring MaxGrip XDS cross-drilled and slotted rotors. This kit includes...More Details »
Item #: RFC2003-P405X
Condition:
New
Price: $1,770.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar C-Body vehicle with this drum-to-disc brake conversion spindle kit from LEED Brakes. This kit includes the...More Details »
Item #: BFC2003SMX
Condition:
New
Price: $1,386.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar A-Body with this drum-to-disc brake conversion kit from LEED Brakes. This complete kit includes everything...More Details »
Item #: BFC2001SMX
Condition:
New
Price: $1,382.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and stopping performance of front disc brakes to your Mopar B-Body or E-Body vehicle with this drum-to-disc brake conversion spindle kit from LEED Brakes. This kit...More Details »
Item #: BFC2002SMX
Condition:
New
Price: $1,356.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your vehicle with our brake drum to disc conversion kit. In this Mopar C Body drum to disc brake conversion kit you receive everything...More Details »
Item #: RFC2003SMX
Condition:
New
Price: $1,386.99
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1970–1973 Ford or Mercury from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0007-405X
Condition:
New
Price: $1,724.99
Ford Mustang
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1971–1973 Ford Mustang from front drum brakes to manual disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0008-405X
Condition:
New
Price: $1,724.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5–1966 Ford Mustang from front drum brakes to power disc brakes with this LEED Brakes conversion kit featuring USA-made MaxGrip Lite 4-piston brakes and MaxGrip XDS...More Details »
Item #: FC0005-H405AX
Condition:
New
Price: $1,924.99
Ford Mustang, D11 Caliper, MaxGrip Lite 4 Piston, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964.5–1966 Ford Mustang with factory manual transmission to power front disc brakes using this LEED Brakes conversion kit. Featuring MaxGrip Lite 4-piston aluminum calipers,...More Details »
Item #: FC0005-H405MX
Condition:
New
Price: $1,924.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your classic 1967–1969 Ford from front drum brakes to power disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0006-3405AX
Condition:
New
Price: $2,024.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1967–1969 Ford from front drum brakes to power disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS cross-drilled and...More Details »
Item #: FC0006-X405MX
Condition:
New
Price: $2,024.99
Ford Mustang, Automatic Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar from front drum brakes to power disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0007-3405AX
Condition:
New
Price: $2,024.99
Ford Mustang, Manual Transmission
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Upgrade your 1970 Ford Mustang or Mercury Cougar from front drum brakes to power disc brakes with this LEED Brakes conversion kit featuring MaxGrip Lite 4-piston aluminum calipers and MaxGrip XDS...More Details »
Item #: FC0007-X405MX
Condition:
New
Price: $2,024.99
Ford Bronco
Description: New high quality replacement front rotor for disc conversions
Item #: 54042002
Condition:
New
Price: $131.99
Ford Mustang
Description: New high-quality front rotor replacement for disc brake conversions.
Item #: 5406002
Condition:
New
Price: $131.99
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your classic Ford or Mercury from front drum to disc brakes with this LEED Brakes conversion kit. Designed for select 1963-1969 Ford Mustang, Falcon, Fairlane and Ranchero models, as well...More Details »
Item #: BFC0001SMX
Condition:
New
Price: $1,214.99
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your 1957-1968 full-size Ford from front drum to disc brakes with this LEED Brakes conversion kit. Featuring red powder-coated factory-style 4-piston calipers and MaxGrip XDS cross-drilled...More Details »
Item #: RFC0025SMX
Condition:
New
Price: $1,514.99
GM AFX
Description: This mini disc brake conversion kit will give you all the necessary components needed to mount GM single piston calipers and A body rotors to your muscle car. All components used in these kits are...More Details »
Item #: AFXMD
Condition:
New
Price: $319.99
GM 10 & 12 Bolt
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of rear disc brakes to your classic car with our GM 10 & 12 Bolt Rear End Disc Brake Conversion Kit. In this kit you receive everything you need to mount...More Details »
Item #: RC1003
Condition:
New
Price: $839.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
Description: Take a look at this left side GM 10/12 bolt rear disc brake caliper bracket for sale at LEED Brakes! This replacement rear caliper bracket mount is built for durability and quality.
Item #: BRKT0004L
Condition:
New
Price: $72.99
GM 10 & 12 Bolt
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of rear disc brakes to your GM 10-bolt or 12-bolt rear axle with this complete drum-to-disc brake conversion kit. This GM rear disc brake conversion...More Details »
Item #: RC1002X
Condition:
New
Price: $964.99
GM 10 Bolt Axle, 3 Bolt Flange GM Axle, G Body Rear Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of rear disc brakes to your GM vehicle with LEED Brakes' GM 10-Bolt Rear Disc Brake Conversion Kit for 7.5-inch and 8.5-inch rear axles with a 3-bolt...More Details »
Item #: BRC1008X
Condition:
New
Price: $1,033.99
GM 10 Bolt Axle, 3 Bolt Flange GM Axle, G Body Rear Disc Brakes
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of rear disc brakes to your GM vehicle with LEED Brakes' GM 10-Bolt Rear Disc Brake Conversion Kit featuring MaxGrip XDS rotors and red powder-coated...More Details »
Item #: RRC1008X
Condition:
New
Price: $1,033.99
GM AFX
Description: Upgrade your classic GM vehicle's braking system with this 7" chrome dual diaphragm power brake booster and master cylinder kit from LEED Brakes. Designed for front disc and rear drum brake...More Details »
Item #: 2L6B2
Condition:
New
Price: $497.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete GM AFX 2" Drop Spindle Front Disc...More Details »
Item #: RFC1003-E1A1X
Condition:
New
Price: $1,414.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your AFX vehicle with this GM AFX 2" Drop Spindle Front Disc Brake Conversion Kit. This power front disc brake conversion for GM AFX...More Details »
Item #: FC1003-E1A3
Condition:
New
Price: $1,199.99
GM AFX
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-disc brake conversion. This GM AFX-body front disc brake conversion kit includes everything needed to...More Details »
Item #: FC1002SM
Condition:
New
Price: $744.99
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1013SMX
Condition:
New
Price: $1,599.95
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Upgrade your classic GM AFX-Body vehicle with a LEED Brakes Front Disc Brake Conversion Kit engineered to deliver improved stopping power, enhanced reliability, and direct bolt-on installation....More Details »
Item #: BFC1013SMX
Condition:
New
Price: $1,699.95
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1013SMX
Condition:
New
Price: $1,699.95
GM AFX
This part qualifies for $150 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: FC1008SMX
Condition:
New
Price: $1,699.95
GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: BFC1008SMX
Condition:
New
Price: $1,799.95
GM AFX
This part qualifies for $175 Mail In Rebate
Click here for more details.
Description: Introducing our premium front disc brake conversion kit, engineered to deliver a significant boost in stopping performance and reliability for your vehicle. This comprehensive kit provides...More Details »
Item #: RFC1008SMX
Condition:
New
Price: $1,799.95
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the GM AFX Body Power Front Disc Brake Conversion Kit featuring 2" Drop Spindles, a 7" Dual Chrome Booster, and a...More Details »
Item #: FC1003-L6B4
Condition:
New
Price: $1,269.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with LEED Brakes' GM AFX Body Power Front Disc Brake Conversion Kit. This drum-to-disc conversion includes everything you...More Details »
Item #: FC1002-M1A1
Condition:
New
Price: $1,154.99
GM AFX
This part qualifies for $75 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with this LEED Brakes drum-to-disc brake conversion kit designed to improve safety, reliability, and braking performance. This front disc brake conversion kit includes...More Details »
Item #: RFC1002SMX
Condition:
New
Price: $959.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with the safety, reliability, and performance of front disc brakes using this complete drum-to-disc conversion...More Details »
Item #: BFC1003-305X
Condition:
New
Price: $1,213.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with our GM AFX Manual Front Disc Brake Conversion Kit – 2" Drop Spindles, Red Calipers, Chrome Master...More Details »
Item #: RFC1003-F05X
Condition:
New
Price: $1,304.99
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade the safety, reliability, and stopping performance of your 1964–1974 GM A-Body, 1967–1969 F-Body, or 1968–1974 X-Body vehicle with this complete drum-to-disc front brake conversion...More Details »
Item #: RFC1003-3A1X
Condition:
New
Price: $1,284.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of modern manual front disc brakes using this GM AFX Manual Front Disc Brake Kit featuring 2" drop spindles, drilled and...More Details »
Item #: RFC1003-FA1X
Condition:
New
Price: $1,374.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of modern disc brakes to your vehicle with our GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles, Black Calipers, Chrome Master Cylinder. This...More Details »
Item #: BFC1003-F05X
Condition:
New
Price: $1,304.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete drum-to-disc brake conversion using this GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles, Drilled &...More Details »
Item #: BFC1003-FA1X
Condition:
New
Price: $1,374.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Upgrade your GM AFX vehicle with the safety, reliability, and performance of a complete manual front disc brake conversion using this GM AFX Manual Front Disc Brake Kit – 2" Drop Spindles,...More Details »
Item #: RFC1003-FA3X
Condition:
New
Price: $1,344.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability and performance of disc brakes to your GM AFX vehicle with this front drum to disc brake conversion kit from LEED Brakes. This Power Front Disc Brake Conversion Kit...More Details »
Item #: FC1003-N6B2X
Condition:
New
Price: $1,439.99
Camaro, Chevelle, Firebird, GTO, Nova, Cutlass
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with this drum-to-disc brake conversion kit. This complete GM disc brake upgrade includes everything needed to mount...More Details »
Item #: FC1003-M1A1X
Condition:
New
Price: $1,359.99
No Image Available
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the Power Front Disc Brake Conversion Kit with 2" Drop Spindles, Cross-Drilled and Slotted Rotors, 9" Chrome...More Details »
Item #: FC1003-FB05X
Condition:
New
Price: $1,269.99
No Image Available
GM AFX
This part qualifies for $100 Mail In Rebate
Click here for more details.
Description: Add the safety, reliability, and performance of disc brakes to your vehicle with the GM AFX Power Front Disc Brake Conversion Kit with 2" Drop Spindles, Cross-Drilled and Slotted Rotors, 9" Chrome...More Details »
Item #: FC1003-FBB4X
Condition:
New
Price: $1,404.99